<template>
  <div id="app">
    <router-view v-if="cabilityChecked"></router-view>
    <div v-else>loading</div>
  </div>
</template>
<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Home',
  data(){
    return{
      cabilityChecked:true
    }
  },
  async mounted(){
    // const config ={
    //   url: 'https://mainnet.infura.io/v3/',
    //   id:'ab632ac39b8d4aff98d65429af748550'
    // }
    // let a = ETH_PROVIDER(config)
    // const fee = await a.provider.eth.getBalance('0xfc55a938a349dc526a4d633a8395a82ca661820f')
    // console.log(fee);
    this.appReady()
  },
  methods:{
    appReady(){
      
      // web3.ready,
      // Vue.prototype.$ETHweb3 = ETH_PROVIDER('b186ce03905e4f759fb7243fac5fc0df')
      // db.ready,
      // this.cabilityChecked = true
    }
  }
});
</script>
